unit Inf_util;


interface
Uses WinProcs, WinTypes, SysUtils, Classes;


function GetDirectory: String;
procedure DeleteFile(FName: string);
function StringsToString(S: TStrings): string;


implementation

function GetDirectory: String;
var
  FN: array[0..255] of Char;
Begin
  GetModuleFileName(hInstance, @FN, SizeOf(FN));
  PChar(StrRScan(FN, '\')+ 1)^:=  chr(0);
  result:= StrPas(FN);
End;

procedure DeleteFile(FName: string);
var
  P: PChar;
  TOF: TOfStruct;
Begin
  GetMem(P, Length(FName) + 1);
  StrPCopy(P, FName);
  OpenFile(P, TOF, of_Delete);
  FreeMem(P, Length(FName) + 1);
End;

function StringsToString(S: TStrings): string;
var
  i: integer;
  NeedSpace: boolean;
Begin
  Result:= '';
  NeedSpace:= false;
  for i:= 0 to TStringList(S).Count - 1 do
  Begin
    { add one space in place of CRLF if needed }
    if NeedSpace and  ( TStringList(S).Strings[i][1] <> '' )
     then Result:= result + ' ' + TStringList(S).Strings[i]
     else Result:= result + TStringList(S).Strings[i];
    NeedSpace:= TStringList(S).Strings[i][Length(TStringList(S).Strings[i])] <> ''
  End;
End;


end.
